<!--
/********************************************************************************
 * Copyright © 2018 Mettenmeier GmbH.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/
-->
<div class="container-fluid">
  <form class="mt-3" [formGroup]="form" novalidate>
    <div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom stick-headlines"
      *ngIf="!isModal">
      <h1 class="h2">Bereitschaftsliste verwalten</h1>
      <div class="btn-toolbar mb-2 mb-md-0">
        <button *ngIf="authService.userHasRoles(['BP_Sachbearbeiter','BP_Admin'])" class="btn btn-success mr-1" (click)="saveStandbylist()"
          id="StandbyListSave">Speichern</button>
        <button class="btn btn-danger float-right" (click)="close()" id="StandbyListCancel">Abbrechen</button>
      </div>
    </div>
    <ngb-accordion #acc="ngbAccordion" activeIds="standbylistData,standbygroupData">
      <ngb-panel title="Bereitschaftsliste" id="standbylistData">
        <ng-template ngbPanelContent>
          <div class="row">
            <div [ngClass]="{'col-md-6': !isModal, 'col-md-12': isModal}">
              <div class="form-group row">
                <label for="title" class="col-sm-3 col-form-label">Titel</label>
                <div class="col-sm-9">
                  <input type="text" class="form-control" id="title" placeholder="Titel" formControlName="title"
                    required>
                  <ok-error [control]="form.controls['title']"></ok-error>
                </div>
              </div>
            </div>
          </div>
        </ng-template>
      </ngb-panel>
      <!-- BERECHTIGUNGEN -->
      <ngb-panel title="Bereitschaftsgruppen" id="standbygroupData" *ngIf="!isModal">
        <ng-template ngbPanelContent>
          <div class="row">
            <div class="col-md-12">
              <ok-picklist-reactive [sourceList]="sourceStandbygroup" [targetList]="targetStandbygroup" headlineSource="Bereitschaftsgruppen"
                headlineTarget="ausgewählte Bereitschaftsgruppen" [sourceListColumnDefs]="sourceColumnDefsStandbygroup"
                [targetListColumnDefs]="targetColumnDefsStandbygroup" (moveToTargetClicked)="moveToTargetStandbygroup($event)"
                (headerActionTargetClickedRight)="changeTargetDataStandbygroup($event)" headerActionTargetLableRight="Daten ändern"
                (moveToSourceClicked)="moveToSourceStandbygroup($event)" id="StandbyListPicklistStandbyGroup">
              </ok-picklist-reactive>
            </div>
          </div>
        </ng-template>
      </ngb-panel>
    </ngb-accordion>
    <div class="row mt-3 mb-3" *ngIf="isModal">
      <div class="col-md-12">
        <button *ngIf="authService.userHasRoles(['BP_Sachbearbeiter','BP_Admin'])" class="btn btn-success" (click)="saveStandbylist()"
          id="StandbyListSave">Speichern</button>
        <button class="btn btn-danger float-right" (click)="close()" id="StandbyListCancel">Abbrechen</button>
      </div>
    </div>
  </form>
</div>